Package org.silverpeas.components.projectmanager.model

## Class TaskDetail.TaskDetailBuilder

- java.lang.Object
- - org.silverpeas.components.projectmanager.model.TaskDetail.TaskDetailBuilder

- Enclosing class:
    TaskDetail

      public static class TaskDetail.TaskDetailBuilder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskDetail` | `createTaskDetail()` |
    `TaskDetail.TaskDetailBuilder` | `setCharge​(float charge)` |
    `TaskDetail.TaskDetailBuilder` | `setChrono​(int chrono)` |
    `TaskDetail.TaskDetailBuilder` | `setCodeProjet​(String codeProjet)` |
    `TaskDetail.TaskDetailBuilder` | `setConsomme​(float consomme)` |
    `TaskDetail.TaskDetailBuilder` | `setDateDebut​(Date dateDebut)` |
    `TaskDetail.TaskDetailBuilder` | `setDateFin​(Date dateFin)` |
    `TaskDetail.TaskDetailBuilder` | `setDescription​(String description)` |
    `TaskDetail.TaskDetailBuilder` | `setDescriptionProjet​(String descriptionProjet)` |
    `TaskDetail.TaskDetailBuilder` | `setEstDecomposee​(int estDecomposee)` |
    `TaskDetail.TaskDetailBuilder` | `setId​(int id)` |
    `TaskDetail.TaskDetailBuilder` | `setInstanceId​(String instanceId)` |
    `TaskDetail.TaskDetailBuilder` | `setMereId​(int mereId)` |
    `TaskDetail.TaskDetailBuilder` | `setNom​(String nom)` |
    `TaskDetail.TaskDetailBuilder` | `setOrganisateurId​(int organisateurId)` |
    `TaskDetail.TaskDetailBuilder` | `setPath​(String path)` |
    `TaskDetail.TaskDetailBuilder` | `setRaf​(float raf)` |
    `TaskDetail.TaskDetailBuilder` | `setResponsableId​(int responsableId)` |
    `TaskDetail.TaskDetailBuilder` | `setStatut​(int statut)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setId

          public TaskDetail.TaskDetailBuilder setId​(int id)

    - #### setMereId

          public TaskDetail.TaskDetailBuilder setMereId​(int mereId)

    - #### setChrono

          public TaskDetail.TaskDetailBuilder setChrono​(int chrono)

    - #### setNom

          public TaskDetail.TaskDetailBuilder setNom​(String nom)

    - #### setDescription

          public TaskDetail.TaskDetailBuilder setDescription​(String description)

    - #### setOrganisateurId

          public TaskDetail.TaskDetailBuilder setOrganisateurId​(int organisateurId)

    - #### setResponsableId

          public TaskDetail.TaskDetailBuilder setResponsableId​(int responsableId)

    - #### setCharge

          public TaskDetail.TaskDetailBuilder setCharge​(float charge)

    - #### setConsomme

          public TaskDetail.TaskDetailBuilder setConsomme​(float consomme)

    - #### setRaf

          public TaskDetail.TaskDetailBuilder setRaf​(float raf)

    - #### setStatut

          public TaskDetail.TaskDetailBuilder setStatut​(int statut)

    - #### setDateDebut

          public TaskDetail.TaskDetailBuilder setDateDebut​(Date dateDebut)

    - #### setDateFin

          public TaskDetail.TaskDetailBuilder setDateFin​(Date dateFin)

    - #### setCodeProjet

          public TaskDetail.TaskDetailBuilder setCodeProjet​(String codeProjet)

    - #### setDescriptionProjet

          public TaskDetail.TaskDetailBuilder setDescriptionProjet​(String descriptionProjet)

    - #### setEstDecomposee

          public TaskDetail.TaskDetailBuilder setEstDecomposee​(int estDecomposee)

    - #### setInstanceId

          public TaskDetail.TaskDetailBuilder setInstanceId​(String instanceId)

    - #### setPath

          public TaskDetail.TaskDetailBuilder setPath​(String path)

    - #### createTaskDetail

          public TaskDetail createTaskDetail()